'use strict';

const coAbstractLib = require('./abstract.js');
const coLoggerLib = require('../../../logger.js');
const coValidateLib = require('../../validate.js');

const Result = require('../../result.js').Result;

const coType = {};
coType[coAbstractLib.csExtention] = '.txt';
coType[coAbstractLib.cfIsDeployable]  = function () {
  let fCreate = coType[coAbstractLib.cfCreateTasks];
  if(fCreate) {
    return true;
  } else {
    return false;
  }
};
coType[coAbstractLib.cfPrepare] = function (iasFile, ioOption) {
  coValidateLib(iasFile.length, 'number');
  coValidateLib(ioOption, 'object');

  let loResult = new Result();
  let lsExt = coType[coAbstractLib.csExtention];
  iasFile.forEach(function(isFile) {
    let lsFile = isFile;

    coLoggerLib.trace(' * ' + lsExt + ' - ' + lsFile + ' ... ');

    let loItem = {};
    loItem[coAbstractLib.csKey_AOI_nStatus] = coAbstractLib.cnSuccess;
    loItem[coAbstractLib.csKey_AOI_sFile] = lsFile;
    loItem[coAbstractLib.csKey_AOI_sDescription] = '';
    loResult.addItem(lsExt, loItem);

    coLoggerLib.log(' * ' + lsExt + ' - ' + lsFile + ' ... ok');

  });
  return loResult;
};
coType[coAbstractLib.cfCreateTasks] = undefined;

module.exports = coType;
